Summary: A single player dungeon simulation game.
Name: nethack
Version: 3.3.1
Release: 1
Group: Amusements/Games
Copyright: distributable
Source: ftp://ftp.win.tue.nl/pub/games/nethack.331/nethack-331.tgz
Patch: nethack-3.3.1-redhat.patch
Url:  http://www.win.tue.nl/games/roguelike/nethack/
BuildRoot: /var/tmp/nethack-build
BuildPrereq: qt-devel, gnome-libs-devel
Requires: qt >= 2.2.0-0.4.beta2

%description
NetHack is a single player display-oriented Dungeons & Dragons(TM)
type game.  NetHack's display and command structure resemble the game
Rogue; it also resembles and is a direct descendant of the game Hack.
To win the game, you need to locate the Amulet of Yendor (somewhere below
the 20th level of the dungeon) and take it out of the dungeon.

%prep
%setup -q
%patch -p1 -b .redhat

%build
sh ./sys/unix/setup.sh links
unset QTDIR || : ; . /etc/profile.d/qt.sh
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS" all

strip -R .comment src/nethack

cd util
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS" recover
cd ..

make x11tiles

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr{/share/man/man6,/X11R6/lib/X11/app-defaults,/lib/games/nethackdir/save,/X11R6/lib/X11/fonts/misc/,/bin}
%makeinstall
cp dat/x11tiles win/X11/rip.xpm $RPM_BUILD_ROOT%{_libdir}/games/nethackdir
cd doc
make prefix=$RPM_BUILD_ROOT mandir=%{_mandir} manpages 
cd ..
sed -e "s=$RPM_BUILD_ROOT==" < $RPM_BUILD_ROOT/usr/lib/games/nethack > $RPM_BUILD_ROOT/usr/bin/nethack
chmod a+x $RPM_BUILD_ROOT/usr/bin/nethack
install -s -m755 util/recover $RPM_BUILD_ROOT/usr/lib/games/nethackdir
install -m444 win/X11/NetHack.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/NetHack
chmod 664 $RPM_BUILD_ROOT/usr/lib/games/nethackdir/record $RPM_BUILD_ROOT/usr/lib/games/nethackdir/logfile || :
# put in a sample .nethackrc file.
cp win/X11/nethack.rc $RPM_BUILD_ROOT/usr/lib/games/nethackdir/dot.nethackrc
cd win/X11
/usr/X11R6/bin/bdftopcf < nh10.bdf > nh10.pcf
/usr/X11R6/bin/bdftopcf < ibm.bdf > ibm.pcf
cp nh10.pcf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc/
cp ibm.pcf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc/
strip -R .comment $RPM_BUILD_ROOT/usr/games/nethack || :

%post
pushd /usr/X11R6/lib/X11/fonts/misc/ &> /dev/null
mkfontdir .
popd &> /dev/null


%postun
pushd /usr/X11R6/lib/X11/fonts/misc/ &> /dev/null
mkfontdir .
popd &> /dev/null

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root)
%doc doc/Guidebook.tex doc/Guidebook.txt doc/tmac.n doc/Guidebook README
%doc doc/window.doc doc/Guidebook.mn
%config /usr/X11R6/lib/X11/app-defaults/NetHack
%attr(-,games,bin)/usr/bin/nethack
%attr(-,games,bin)/usr/lib/games/nethackdir/
/usr/X11R6/lib/X11/fonts/misc/nh10.pcf
/usr/X11R6/lib/X11/fonts/misc/ibm.pcf
/%{_mandir}/man6/*

%changelog
* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.3.1
- adapt patches

* Mon Aug 14 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix build with current glibc (Bug #16021)

* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Mon Jul 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix gzip location (Bug #14639)

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add x11tiles and rip.xpm (Bug #14626)

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix build
- stop hardcoding Qt dirs

* Mon Jun 19 2000 Karsten Hopp <karsten@redhat.de>
- rebuild for 7.0
- changed mandir
- Qt 2.1.1
- removed chown from install section, should be done in files section

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Qt 2.1.0
- gzip man pages
- strip binary
- bzip2 source

* Fri Jan 14 2000 Tim Powers <timp@redhat.com>
- fixed qt reuirements, not requires 2.1.0, fixed patches and spec too

* Fri Dec 17 1999 Tim Powers <timp@redhat.com>
- changed Copyright

* Tue Dec 14 1999 Tim Powers <timp@redhat.com>
- general spec file cleanups
- new patch, now builds for tty and Qt instead of tty/X11 (can't do both X11
	and Qt)
- %attr lines in files section so that chown isn't done in %post

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Apr 08 1999 Michael Maher <mike@redhat.com>
- I doubt this will ever be updated.
- recompiled for 6.0 

* Wed Aug 13 1998 Michael Maher <mike@redhat.com>
- Built package 
